### Virtual Method

# Clutter VirtualInputDevice notify_button

#### Declaration [src]

    void
    notify_button (
      ClutterVirtualInputDevice* virtual_device,
      uint64_t time_us,
      uint32_t button,
      ClutterButtonState button_state
    )

#### Description

No description available.

#### Parameters

`time_us`

  Type: `uint64_t`

  No description available.

`button`

  Type: `uint32_t`

  No description available.

`button_state`

  Type: `ClutterButtonState`

  No description available.